GNU bug report logs - #25030
elisp: highlighting of unexpected indentation should use separate face from highlight of error functions

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Klaus-Dieter Bauer <bauer.klaus.dieter@HIDDEN>; merged with #18163; dated Fri, 25 Nov 2016 23:13:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Removed tag(s) notabug and wontfix. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'minor' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'elisp: highlighting of unexpected indentation should use separate face from highlight of error functions' from '25.1; Unexpected indentation and syntax-highlighting in `emacs-lisp-mode'' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25030 <at> debbugs.gnu.org:


Received: (at 25030) by debbugs.gnu.org; 22 Mar 2018 02:38:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 21 22:38:49 2018
Received: from localhost ([127.0.0.1]:46518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eyq7t-0004y4-M3
	for submit <at> debbugs.gnu.org; Wed, 21 Mar 2018 22:38:49 -0400
Received: from mail-it0-f52.google.com ([209.85.214.52]:34380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1eyq7s-0004xm-2v; Wed, 21 Mar 2018 22:38:48 -0400
Received: by mail-it0-f52.google.com with SMTP id z7-v6so366378iti.1;
 Wed, 21 Mar 2018 19:38:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=20FQm3tQvB8Lt1zfeC1gRdr3cPqoKehaA5sLL5TIozU=;
 b=UCmLYC0H83PfUPofCXAxs2dqOKkZUtMzLHq44gek4w26LH8AZcWkZKGvHl2v0lU6Oc
 jMmfUvEr2Z9CoSw8VEFpeSzKyxwdoqMpmhEopZU/FrFgrjxqPEgH9YzzPhDcxoppjFBe
 2HJp7yEuC/kbm7cpyAIJPAhcJCCUdlK+AEieeEitYA8/zfaC2Pq0u2i7tH17JjWdEOmi
 tPq2byWRWxwj8aYZyou72Aw5Ot9v+zS6llRWAieJSzglwGTNfJJkbhL+f0DPnUv8LZCr
 4Ky3KIuyUDRklevj1/dE0owhs/8oVBt1W5n5P2q0cKpQ2lNWq3Z04XyRf1lZwtlDmrdg
 lI2g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=20FQm3tQvB8Lt1zfeC1gRdr3cPqoKehaA5sLL5TIozU=;
 b=W3Gq2sZNoWIEUjQYAW1H/sbLHxj9xBbPju5/vFEDra6KCHpzKOdMZZ8394yQTUV7gA
 ldYobNyQdTKAuSHny0IGByJITE0cfgHN49N43tHBu7dXF00B5kWXW4515GarVLtfZ7xJ
 aU/E/8bJFgfT4C5gGwGG+UzLlGmjE1bL3RDT0eN53ITg3vP4IpjiPOG4BO/LnqCDPVf6
 hL0mjgilUoJwJc1uCzAWJrLDZ7J2zSpwQ8PhVVhyWJuTUxTGQi1aIqiEWfngbma7IWHM
 V9qdhWnLV1vGCetRaamAiQMjVlxDJXacsYPx1OFKxDfl3883gMn+Ttec9L8jMVuc3/hm
 DK+w==
X-Gm-Message-State: AElRT7FgGQoNxtjg+1IgZOCLoOCFojiBk7EQ5BvQjIxaS+TmLQH/Wya/
 8evTbuBbs5MTEUuKVrrXW//Hqg==
X-Google-Smtp-Source: AG47ELuLsW7APcjqBR3F5rB2v4Y6XIxgxsZk3fX3tfKc0GbWjukGFrevsl4bBys5C+U2GVnr3S58Rg==
X-Received: by 2002:a24:e085:: with SMTP id
 c127-v6mr6625792ith.25.1521686322122; 
 Wed, 21 Mar 2018 19:38:42 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 e142-v6sm4241700ite.3.2018.03.21.19.38.40
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 21 Mar 2018 19:38:41 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Andy Moreton <andrewjmoreton@HIDDEN>
Subject: Re: bug#25030: 25.1;
 Unexpected indentation and syntax-highlighting in `emacs-lisp-mode'
References: <CANtbJLEtLvA76RM5sJGofNGq14KbeqkX6_7Dkq5aB55iVJtrZA@HIDDEN>
 <CAArVCkQRs3FhD6GPfpYZaWyP7aH8oONQ_Q=HoRO0Pvdok0DYAQ@HIDDEN>
 <868taptb26.fsf@HIDDEN> <87efkftyez.fsf@HIDDEN>
 <86in9rmw6h.fsf@HIDDEN> <b3f4a4f9-9e43-4916-be53-91247b33138e@default>
 <87a7v3trww.fsf@HIDDEN> <vz1woy6c3e3.fsf@HIDDEN>
Date: Wed, 21 Mar 2018 22:38:39 -0400
In-Reply-To: <vz1woy6c3e3.fsf@HIDDEN> (Andy Moreton's message of "Tue, 20
 Mar 2018 12:55:48 +0000")
Message-ID: <87o9jgsukw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 25030
Cc: 25030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

retitle 25030 elisp: highlighting of unexpected indentation should use separate face from highlight of error functions
severity 25030 wishlist
tags 25030 =
reopen 25030
quit

Andy Moreton <andrewjmoreton@HIDDEN> writes:

> The point is that the unusual code layout does not cause any problems for
> elisp code, and it does not matter if the code is interpreted or
> byte-compiled: the result is the same, namely that indentation style has
> no effect on the meaning of the code.

This seems like an argument against the byte compiler emitting style
warnings, but since this bug is not about byte compiler warnings, I
don't understand why you are bringing it up.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25030; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Mar 2018 12:56:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 20 08:56:19 2018
Received: from localhost ([127.0.0.1]:42843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eyGoN-0000pT-CM
	for submit <at> debbugs.gnu.org; Tue, 20 Mar 2018 08:56:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1eyGoL-0000pF-Ny
 for submit <at> debbugs.gnu.org; Tue, 20 Mar 2018 08:56:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1eyGoB-0001rM-5g
 for submit <at> debbugs.gnu.org; Tue, 20 Mar 2018 08:56:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41783)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1eyGoB-0001rI-2W
 for submit <at> debbugs.gnu.org; Tue, 20 Mar 2018 08:56:07 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48495)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1eyGo9-00057W-UL
 for bug-gnu-emacs@HIDDEN; Tue, 20 Mar 2018 08:56:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1eyGo6-0001nA-2o
 for bug-gnu-emacs@HIDDEN; Tue, 20 Mar 2018 08:56:06 -0400
Received: from [195.159.176.226] (port=45678 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1eyGo5-0001lV-S9
 for bug-gnu-emacs@HIDDEN; Tue, 20 Mar 2018 08:56:02 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1eyGlw-0002T1-6Q
 for bug-gnu-emacs@HIDDEN; Tue, 20 Mar 2018 13:53:48 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Andy Moreton <andrewjmoreton@HIDDEN>
Subject: Re: bug#25030: 25.1;
 Unexpected indentation and syntax-highlighting in `emacs-lisp-mode'
Date: Tue, 20 Mar 2018 12:55:48 +0000
Lines: 26
Message-ID: <vz1woy6c3e3.fsf@HIDDEN>
References: <CANtbJLEtLvA76RM5sJGofNGq14KbeqkX6_7Dkq5aB55iVJtrZA@HIDDEN>
 <CAArVCkQRs3FhD6GPfpYZaWyP7aH8oONQ_Q=HoRO0Pvdok0DYAQ@HIDDEN>
 <868taptb26.fsf@HIDDEN> <87efkftyez.fsf@HIDDEN>
 <86in9rmw6h.fsf@HIDDEN>
 <b3f4a4f9-9e43-4916-be53-91247b33138e@default>
 <87a7v3trww.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.91 (windows-nt)
Cancel-Lock: sha1:9rh+4qi4IZD+dBsYMk6T/fWQLh4=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.5 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)

On Mon 19 Mar 2018, Noam Postavsky wrote:

> Drew Adams <drew.adams@HIDDEN> writes:
>
>>> I disagree. The interpreter and byte compiler do not care about the
>>> indentation style that you choose for your code: the syntax and
>>> semantics are unaffected.
>>> 
>>> Style choices should not produce warnings. An indication that code layout
>>> is following an unusual style may be useful, but it should be optional, and
>>> it should not use the warning face (it should have a separate face that can
>>> be customised independently of the warning face).
>>
>> What Andy said.  This has nothing to do with byte-compiling
>> (or interpreting, for that matter).
>
> I don't understand why you guys are all of a sudden talking about
> byte-compiling.

The point is that the unusual code layout does not cause any problems for
elisp code, and it does not matter if the code is interpreted or
byte-compiled: the result is the same, namely that indentation style has
no effect on the meaning of the code.

    AndyM






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25030; Package emacs. Full text available.

Message received at 25030 <at> debbugs.gnu.org:


Received: (at 25030) by debbugs.gnu.org; 20 Mar 2018 02:14:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 19 22:14:16 2018
Received: from localhost ([127.0.0.1]:42462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ey6n2-00006t-IJ
	for submit <at> debbugs.gnu.org; Mon, 19 Mar 2018 22:14:16 -0400
Received: from mail-io0-f177.google.com ([209.85.223.177]:39591)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1ey6n1-00006i-Dk
 for 25030 <at> debbugs.gnu.org; Mon, 19 Mar 2018 22:14:15 -0400
Received: by mail-io0-f177.google.com with SMTP id v13so408355iob.6
 for <25030 <at> debbugs.gnu.org>; Mon, 19 Mar 2018 19:14:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=sX8Kj12739QndPEbPfD77R9PNUM1Y+zVJ0i6m1XqrNk=;
 b=HsWSVJTTdDfp8AOWL8qLW42xr0r/N1jV039D9Mg9SWlVxOKGPP8+eqKeyPaIoDBpFy
 FzwBUel5QGX2xAvJxS+12EjMy2zYaovcah1nvd3MOvEA5YvXHPLVJfznwZZFqN+zfMVi
 BCCMm5/+eY65cwAiukYwJ3NpwG0hZ77syLZ+1xs/1BB26plRO00hMuvas5AC5LMzrj9Q
 ly6CYGJ+BATFEt5OUPT5dOLL0r1uYlpGqdZnZqMsppB2GibID/KIM5ellHGE57HEpXkC
 3Jn6japnIOPWxN9fzLyqs3oC3Wf+YruT/ZIk0OD0qvNBcZ94teJVztubledpx7c9l1GI
 zytQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=sX8Kj12739QndPEbPfD77R9PNUM1Y+zVJ0i6m1XqrNk=;
 b=iKYhyx1eF8+u3G3bHXKswLOMZXvLf5qJIaH011Ze4jjV6abfoKhWQQ0v7YNavgbq9l
 m/GVlnsnKGki6GNiLN/SzMhMPHHuiI7kRagP5DIMG3wSVswyIXEvSzakcT8yKjqETuyY
 oqhZD7qjeYbGaF8ZHA0yzB4ChffH+m+cNYPBS05RUqFZXIo6PDHdXTjJIiIkG7BO0bni
 4UOizHfh69mvVIp42C0TvKQNy0qHsPPEdkCiTb8UydbXoKjxUfLvNPM5FfKUEp+G0bpV
 spPcW98HML9iBfy3ccO6cGWMSrkU8fSjzPJXB1obsNRSyWc6bJGEg6ihMFPNvxcBjcKg
 bYMw==
X-Gm-Message-State: AElRT7EHDFqKjTM/heX+mTZMjGYjJ+4Vuo2K/b5jpLfhkdRIPqu3SdEu
 k5sZ/PxTKSGK0xr9qHNkQRMGHw==
X-Google-Smtp-Source: AG47ELu8V7QBMp/IaF9pj6MIDFoZtluMNBBH+kaFYXXgcn6NnMGMp3howDtkL3bEnp0jysl7b57EtA==
X-Received: by 10.107.20.13 with SMTP id 13mr14414742iou.246.1521512049811;
 Mon, 19 Mar 2018 19:14:09 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 d18sm307573iob.77.2018.03.19.19.14.08
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 19 Mar 2018 19:14:08 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#25030: 25.1;
 Unexpected indentation and syntax-highlighting in `emacs-lisp-mode'
References: <CANtbJLEtLvA76RM5sJGofNGq14KbeqkX6_7Dkq5aB55iVJtrZA@HIDDEN>
 <CAArVCkQRs3FhD6GPfpYZaWyP7aH8oONQ_Q=HoRO0Pvdok0DYAQ@HIDDEN>
 <868taptb26.fsf@HIDDEN> <87efkftyez.fsf@HIDDEN>
 <86in9rmw6h.fsf@HIDDEN> <b3f4a4f9-9e43-4916-be53-91247b33138e@default>
Date: Mon, 19 Mar 2018 22:14:07 -0400
In-Reply-To: <b3f4a4f9-9e43-4916-be53-91247b33138e@default> (Drew Adams's
 message of "Mon, 19 Mar 2018 18:35:43 -0700 (PDT)")
Message-ID: <87a7v3trww.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25030
Cc: Andy Moreton <andrewjmoreton@HIDDEN>, 25030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Drew Adams <drew.adams@HIDDEN> writes:

>> I disagree. The interpreter and byte compiler do not care about the
>> indentation style that you choose for your code: the syntax and
>> semantics are unaffected.
>> 
>> Style choices should not produce warnings. An indication that code layout
>> is following an unusual style may be useful, but it should be optional, and
>> it should not use the warning face (it should have a separate face that can
>> be customised independently of the warning face).
>
> What Andy said.  This has nothing to do with byte-compiling
> (or interpreting, for that matter).

I don't understand why you guys are all of a sudden talking about
byte-compiling.

> It should be easy for users to give the face(s) used for
> stylistic highlighting different appearance(s) from standard
> Emacs faces that have other meanings.

Anyway, if this just about reorganizing the faces used, I have no
objections.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25030; Package emacs. Full text available.

Message received at 25030 <at> debbugs.gnu.org:


Received: (at 25030) by debbugs.gnu.org; 20 Mar 2018 01:35:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 19 21:35:54 2018
Received: from localhost ([127.0.0.1]:42433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ey6Bu-0005dq-6j
	for submit <at> debbugs.gnu.org; Mon, 19 Mar 2018 21:35:54 -0400
Received: from aserp2130.oracle.com ([141.146.126.79]:48712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1ey6Bs-0005db-LF
 for 25030 <at> debbugs.gnu.org; Mon, 19 Mar 2018 21:35:53 -0400
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.22/8.16.0.22) with SMTP id w2K1ZKsp080244;
 Tue, 20 Mar 2018 01:35:46 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2017-10-26;
 bh=8ubW/7Bfj9seaLUdkgoredISjTc/m58W2C0Kn1FSgAw=;
 b=jzuiUocEl/oX/rRqxg1Pp0f6Dh8YmvyCR41EGU0O0QlEFBQQAoWeTeiiFteyTOjPBJgd
 9rhuBogcBtjeXt0cAokMj3XGwzEAQtbMp9EMOc+Mo1laNclIr3QZBubAgKu/hscZDjJd
 XH0MHINj2ANa1jPa2JoKX/T4evhO+sxFJgoTf29gfvl1hQfh3C5e81ad3Yh/JNG7Iiv8
 h9Ebg8D2oTULUxhkVpqOJwMCllZk09VfsVEMRgKMspxxMdWBkmyaRrDkS3GIrHC/NBbS
 PWnF/zS1P5W6ojjFSmwxIyDm3R7Ile0DWLlF1koaGMblefuuCPUe+04XDXGaIM2i3cxe Zg== 
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by aserp2130.oracle.com with ESMTP id 2gtrs5006b-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 20 Mar 2018 01:35:46 +0000
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by userv0022.oracle.com (8.14.4/8.14.4) with ESMTP id w2K1Zjep009114
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 20 Mar 2018 01:35:45 GMT
Received: from abhmp0006.oracle.com (abhmp0006.oracle.com [141.146.116.12])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id w2K1Zjw1021106;
 Tue, 20 Mar 2018 01:35:45 GMT
MIME-Version: 1.0
Message-ID: <b3f4a4f9-9e43-4916-be53-91247b33138e@default>
Date: Mon, 19 Mar 2018 18:35:43 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Andy Moreton <andrewjmoreton@HIDDEN>, 25030 <at> debbugs.gnu.org
Subject: RE: bug#25030: 25.1; Unexpected indentation and syntax-highlighting
 in `emacs-lisp-mode'
References: <CANtbJLEtLvA76RM5sJGofNGq14KbeqkX6_7Dkq5aB55iVJtrZA@HIDDEN>
 <CAArVCkQRs3FhD6GPfpYZaWyP7aH8oONQ_Q=HoRO0Pvdok0DYAQ@HIDDEN>
 <868taptb26.fsf@HIDDEN> <87efkftyez.fsf@HIDDEN>
 <86in9rmw6h.fsf@HIDDEN>
In-Reply-To: <86in9rmw6h.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4666.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=8837
 signatures=668693
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=814
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1711220000 definitions=main-1803200006
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 25030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

> >> This may not be a bug, but it is certainly a mis-feature.
> >>
> >> Warning should be reserved for syntax which may have unintended or
> >> surprising semantics. Indentation that does not follow a convention is
> >> not wrong either systacically or semantically.
> >
> > I'm not convinced by this.  Code with unconventional indendation has
> > surprising syntax to a human reader (or from another perspective, when
> > I'm writing code which indents strangely, that clues me in that I've
> > written some unintended syntax), therefore, it seems a warning is
> > exactly appropriate.
>=20
> I disagree. The interpreter and byte compiler do not care about the
> indentation style that you choose for your code: the syntax and
> semantics are unaffected.
>=20
> Style choices should not produce warnings. An indication that code layout
> is following an unusual style may be useful, but it should be optional, a=
nd
> it should not use the warning face (it should have a separate face that c=
an
> be customised independently of the warning face).

What Andy said.  This has nothing to do with byte-compiling
(or interpreting, for that matter).

There is nothing wrong with having optional (especially opt-in)
indications of flouting conventional style.  And even then we
should not use, or inherit from, the warning face.

It should be easy for users to give the face(s) used for
stylistic highlighting different appearance(s) from standard
Emacs faces that have other meanings.

Error and warning faces are to be avoided for anything that is
not an error or warning.  And any faces used by the byte-compiler
should be about something relevant to byte-compiling.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25030; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Mar 2018 00:24:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 19 20:24:19 2018
Received: from localhost ([127.0.0.1]:42386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ey54d-0003sS-2d
	for submit <at> debbugs.gnu.org; Mon, 19 Mar 2018 20:24:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52571)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1ey54b-0003s7-Oa
 for submit <at> debbugs.gnu.org; Mon, 19 Mar 2018 20:24:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1ey54T-0002AR-Iv
 for submit <at> debbugs.gnu.org; Mon, 19 Mar 2018 20:24:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35148)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1ey54T-0002AN-G3
 for submit <at> debbugs.gnu.org; Mon, 19 Mar 2018 20:24:09 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43531)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1ey54N-0003Wt-JF
 for bug-gnu-emacs@HIDDEN; Mon, 19 Mar 2018 20:24:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1ey54K-000259-FN
 for bug-gnu-emacs@HIDDEN; Mon, 19 Mar 2018 20:24:03 -0400
Received: from [195.159.176.226] (port=45716 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1ey54K-000242-89
 for bug-gnu-emacs@HIDDEN; Mon, 19 Mar 2018 20:24:00 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1ey52D-0001pi-Rq
 for bug-gnu-emacs@HIDDEN; Tue, 20 Mar 2018 01:21:49 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Andy Moreton <andrewjmoreton@HIDDEN>
Subject: Re: bug#25030: 25.1;
 Unexpected indentation and syntax-highlighting in `emacs-lisp-mode'
Date: Tue, 20 Mar 2018 00:23:50 +0000
Lines: 30
Message-ID: <86in9rmw6h.fsf@HIDDEN>
References: <CANtbJLEtLvA76RM5sJGofNGq14KbeqkX6_7Dkq5aB55iVJtrZA@HIDDEN>
 <CAArVCkQRs3FhD6GPfpYZaWyP7aH8oONQ_Q=HoRO0Pvdok0DYAQ@HIDDEN>
 <868taptb26.fsf@HIDDEN> <87efkftyez.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.91 (windows-nt)
Cancel-Lock: sha1:9E6RxZFxxMlnyzJZ7++8dPlLmwc=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.5 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)

On Mon 19 Mar 2018, Noam Postavsky wrote:

> unarchive 18163
> merge 25030 18163
> quit
>
> Andy Moreton <andrewjmoreton@HIDDEN> writes:
>
>> This may not be a bug, but it is certainly a mis-feature.
>>
>> Warning should be reserved for syntax which may have unintended or
>> surprising semantics. Indentation that does not follow a convention is
>> not wrong either systacically or semantically.
>
> I'm not convinced by this.  Code with unconventional indendation has
> surprising syntax to a human reader (or from another perspective, when
> I'm writing code which indents strangely, that clues me in that I've
> written some unintended syntax), therefore, it seems a warning is
> exactly appropriate.

I disagree. The interpreter and byte compiler do not care about the
indentation style that you choose for your code: the syntax and
semantics are unaffected.

Style choices should not produce warnings. An indication that code layout is
following an unusual style may be useful, but it should be optional, and
it should not use the warning face (it should have a separate face that can be
customised independently of the warning face).

    AndyM





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25030; Package emacs. Full text available.
Merged 18163 25030. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25030 <at> debbugs.gnu.org:


Received: (at 25030) by debbugs.gnu.org; 19 Mar 2018 23:53:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 19 19:53:51 2018
Received: from localhost ([127.0.0.1]:42374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ey4b9-0001C4-8P
	for submit <at> debbugs.gnu.org; Mon, 19 Mar 2018 19:53:51 -0400
Received: from mail-it0-f44.google.com ([209.85.214.44]:53713)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1ey4b5-0001Bk-HQ; Mon, 19 Mar 2018 19:53:47 -0400
Received: by mail-it0-f44.google.com with SMTP id b136-v6so129044iti.3;
 Mon, 19 Mar 2018 16:53:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=4bZzYMtATn9maWeHEZlQAikXMeBQpBeWnO6Q9ud7dKg=;
 b=t2szY0ZmU456elipckrTyFzGt9OlCdBspFjDUx+udWLa0VBWcCE820SbJIB45oUWea
 qg+SF3LO0T/EoXxXyDqoZNtSvAyS38IapTMp+3YABDOXad8InRBTfR+8CYP/CxlHS+Sn
 c/lFIu/0Hr2S8ZB6BkBMjjbpL+tdJKZPAhs/cDZ9PdUMGfdqfsqMSCkJ4zOzzsjSEpCk
 TZhIrcCRwQuBH6WZqfnLEr9bRAlFMlHPxJN7264p43d1T1ubivbkv0dQ2WQx6FJhI/N6
 v4FKWjlwKzt+hviTB0kS2M3qmnMTq8jn1nmUcNkiMtSUVxhEnWFxN3WXIeJhh5qHa4uQ
 a7wA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=4bZzYMtATn9maWeHEZlQAikXMeBQpBeWnO6Q9ud7dKg=;
 b=bzk52KEIdjlTf7jMR7KlkR2RVI9jERxcO1E6oLIyysI1kVqmND342PgIY41HyktXTA
 cTsTLiPspxVQZql/zzeeFz8Tequ+eE/M48ewPar6pkC9gbF68SYGaXPm0VHBJmU1uwCJ
 su4I6e65vx+7/NPSYvCzb9J2SoSduMHNCrppTk/nO/g3YtWrw3hnUXHJCmHeXKbEr+XH
 R5Kk4wU31COP9WfbaPpOQ3tKSxJHsSjwi7shi68TOERgfCZgC2CELxJSe/YydxviaT9t
 IZsZP06w3HpC1+ufFWkdUl/mw3Y3MF1ZizBWaDNfHzS4QsRk0yUY3spryfAar1AqagX/
 USRw==
X-Gm-Message-State: AElRT7EIOFIP4F5ZYqvz8EfPWAj8efTCd9J1Qlrf5pNyr0thtjUAlUYk
 aMxJAlibLa+0d1B7dNVml9dntQ==
X-Google-Smtp-Source: AG47ELvmO+2Eu7MJI2e//9oZpe/DuLhTCumLp9dd6+IT78b9W6bZeYj6LLMJaqtu190Gcl94GAosaQ==
X-Received: by 2002:a24:5b04:: with SMTP id g4-v6mr756432itb.68.1521503621966; 
 Mon, 19 Mar 2018 16:53:41 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 q21-v6sm171716itb.2.2018.03.19.16.53.40
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 19 Mar 2018 16:53:41 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Andy Moreton <andrewjmoreton@HIDDEN>
Subject: Re: bug#25030: 25.1;
 Unexpected indentation and syntax-highlighting in `emacs-lisp-mode'
References: <CANtbJLEtLvA76RM5sJGofNGq14KbeqkX6_7Dkq5aB55iVJtrZA@HIDDEN>
 <CAArVCkQRs3FhD6GPfpYZaWyP7aH8oONQ_Q=HoRO0Pvdok0DYAQ@HIDDEN>
 <868taptb26.fsf@HIDDEN>
Date: Mon, 19 Mar 2018 19:53:40 -0400
In-Reply-To: <868taptb26.fsf@HIDDEN> (Andy Moreton's message of "Sun, 18
 Mar 2018 19:53:37 +0000")
Message-ID: <87efkftyez.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 25030
Cc: 25030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

unarchive 18163
merge 25030 18163
quit

Andy Moreton <andrewjmoreton@HIDDEN> writes:

> This may not be a bug, but it is certainly a mis-feature.
>
> Warning should be reserved for syntax which may have unintended or
> surprising semantics. Indentation that does not follow a convention is
> not wrong either systacically or semantically.

I'm not convinced by this.  Code with unconventional indendation has
surprising syntax to a human reader (or from another perspective, when
I'm writing code which indents strangely, that clues me in that I've
written some unintended syntax), therefore, it seems a warning is
exactly appropriate.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25030; Package emacs. Full text available.

Message received at 25030 <at> debbugs.gnu.org:


Received: (at 25030) by debbugs.gnu.org; 18 Mar 2018 21:32:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 18 17:32:31 2018
Received: from localhost ([127.0.0.1]:40433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1exfup-00081v-Bm
	for submit <at> debbugs.gnu.org; Sun, 18 Mar 2018 17:32:31 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:35752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1exfun-00081j-W0
 for 25030 <at> debbugs.gnu.org; Sun, 18 Mar 2018 17:32:30 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.22/8.16.0.22) with SMTP id w2IKn26g161699;
 Sun, 18 Mar 2018 21:32:24 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2017-10-26;
 bh=vTmgI8MN9ji5oORp3hSMrLPL7poFWXJ6SMvWFM4/8J4=;
 b=po270XN55Nyu0ARxBzm2iBMpz2Rio6lYd8qchd7LTF11aL6+cgD9tz236jggU/PU6HMP
 iFiaP/n2JcH3E4vN9aVeDEAMMg91N6PhPYplhVI5ZJXApLssHcv7TxQbyz8YXelWy98h
 ndS7L/6r4rqJaYyj6c0KvnDDqx+Zre/rv5NOKiTnE+jUWaDzuery6xOM/i2sOQXEw0XK
 85cleRiYCTyEjQqRo0vjxZnX5t0/BH6iDRekTGBE+dz7eLj0o4VJOU+1frLACvr2/Xy0
 vWbXaJdsml6KkrQ+I6NAyz+KCl7UTHH0LexAl6FOLzHeRHOq7ZtaW/yPNgwcrW3UWyEY Zw== 
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by userp2120.oracle.com with ESMTP id 2gsyfwg164-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 18 Mar 2018 21:32:24 +0000
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userv0021.oracle.com (8.14.4/8.14.4) with ESMTP id w2ILWNLk024752
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 18 Mar 2018 21:32:23 GMT
Received: from abhmp0007.oracle.com (abhmp0007.oracle.com [141.146.116.13])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id w2ILWMZs021533;
 Sun, 18 Mar 2018 21:32:22 GMT
MIME-Version: 1.0
Message-ID: <11b10aaf-d454-4c83-b775-e45f2d250c37@default>
Date: Sun, 18 Mar 2018 14:32:16 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Andy Moreton <andrewjmoreton@HIDDEN>, 25030 <at> debbugs.gnu.org
Subject: RE: bug#25030: 25.1; Unexpected indentation and syntax-highlighting
 in `emacs-lisp-mode'
References: <CANtbJLEtLvA76RM5sJGofNGq14KbeqkX6_7Dkq5aB55iVJtrZA@HIDDEN>
 <CAArVCkQRs3FhD6GPfpYZaWyP7aH8oONQ_Q=HoRO0Pvdok0DYAQ@HIDDEN>
 <868taptb26.fsf@HIDDEN>
In-Reply-To: <868taptb26.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4666.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=8835
 signatures=668693
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=902
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1711220000 definitions=main-1803180159
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 25030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

> This may not be a bug, but it is certainly a mis-feature.
>=20
> Warning should be reserved for syntax which may have unintended or
> surprising semantics. Indentation that does not follow a convention is
> not wrong either systacically or semantically.
>=20
> Please remove this broken mis-feature.

I agree that warnings are not for such things.  Emacs too
often uses "warnings" for things that are not warnings.

On the other hand, I do appreciate this highlighting, though
at first I didn't think I would.  I think a different face
should be used for this - this is *warning* about anything.
That would let users control whether it is actually highlighted
(e.g., by resetting the face attributes to nil).

This is a duplicate of bug #18163, BTW.  And the thread
repeats that one...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25030; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Mar 2018 19:53:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 18 15:53:59 2018
Received: from localhost ([127.0.0.1]:40374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1exeNT-0005ks-1q
	for submit <at> debbugs.gnu.org; Sun, 18 Mar 2018 15:53:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1exeNR-0005kd-1L
 for submit <at> debbugs.gnu.org; Sun, 18 Mar 2018 15:53:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1exeNL-0007z3-3g
 for submit <at> debbugs.gnu.org; Sun, 18 Mar 2018 15:53:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52730)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1exeNL-0007yv-0Q
 for submit <at> debbugs.gnu.org; Sun, 18 Mar 2018 15:53:51 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40729)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1exeNJ-0007uY-UW
 for bug-gnu-emacs@HIDDEN; Sun, 18 Mar 2018 15:53:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1exeNG-0007wg-TW
 for bug-gnu-emacs@HIDDEN; Sun, 18 Mar 2018 15:53:50 -0400
Received: from [195.159.176.226] (port=40010 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1exeNG-0007vI-Lu
 for bug-gnu-emacs@HIDDEN; Sun, 18 Mar 2018 15:53:46 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1exeLA-0006Y8-Ra
 for bug-gnu-emacs@HIDDEN; Sun, 18 Mar 2018 20:51:36 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Andy Moreton <andrewjmoreton@HIDDEN>
Subject: Re: bug#25030: 25.1;
 Unexpected indentation and syntax-highlighting in `emacs-lisp-mode'
Date: Sun, 18 Mar 2018 19:53:37 +0000
Lines: 35
Message-ID: <868taptb26.fsf@HIDDEN>
References: <CANtbJLEtLvA76RM5sJGofNGq14KbeqkX6_7Dkq5aB55iVJtrZA@HIDDEN>
 <CAArVCkQRs3FhD6GPfpYZaWyP7aH8oONQ_Q=HoRO0Pvdok0DYAQ@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.91 (windows-nt)
Cancel-Lock: sha1:obsJMClu7868MFJ0A9kScS8hjvM=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.5 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)

On Sun 27 Nov 2016, Philipp Stephani wrote:

> Klaus-Dieter Bauer <bauer.klaus.dieter@HIDDEN> schrieb am Sa., 26. Nov.
> 2016 um 00:13 Uhr:
>
>> Hello!
>>
>> In `emacs-lisp-mode', the counting of the nesting level of forms seems
>> to be broken in some subtle way. Consider e.g.
>>
>>     (form
>>      (
>>       ) WEIRD HIGHLIGHT
>>         x) ;; Unexepected Indentation
>>
>> It looks like "WEIRD HIGHLIGHT" is wrongly highlighted as junk after a
>> surplus closing parenthesis, and the subsequent form is also weirdly
>> indented.
>>
>>
> This is working as intended (i.e. not a bug). Lisp-mode explicitly tests
> for this. When you hover over the highlighted part, you get a tooltip
> "Hidden behind deeper element; move to another line?"
> While not a syntax error, there's such a strong convention to avoid such
> formatting that the Lisp modes warn unconditionally about it.

This may not be a bug, but it is certainly a mis-feature.

Warning should be reserved for syntax which may have unintended or
surprising semantics. Indentation that does not follow a convention is
not wrong either systacically or semantically.

Please remove this broken mis-feature.

    AndyM





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25030; Package emacs. Full text available.
bug closed, send any further explanations to 25030 <at> debbugs.gnu.org and Klaus-Dieter Bauer <bauer.klaus.dieter@HIDDEN> Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25030 <at> debbugs.gnu.org:


Received: (at 25030) by debbugs.gnu.org; 14 Mar 2018 01:49:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 13 21:49:56 2018
Received: from localhost ([127.0.0.1]:60221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1evvYC-0002Bn-74
	for submit <at> debbugs.gnu.org; Tue, 13 Mar 2018 21:49:56 -0400
Received: from mail-io0-f169.google.com ([209.85.223.169]:42279)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1evvYA-0002BT-Ec; Tue, 13 Mar 2018 21:49:54 -0400
Received: by mail-io0-f169.google.com with SMTP id u84so2430452iod.9;
 Tue, 13 Mar 2018 18:49:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=Do2nR92gJAJBYbxK3B62fP3l1zXumMfK3qd77G/eA5s=;
 b=JL87oi1ycYzTmv7heHOUGZ3xXclFKs4WxFqcdMZZNZZ0Bfui1xllE6bIMOvAJro4ff
 RQiE4rbg26ziiBUKrVk5UHC82NUP/mnMrdwfB7LYJwjeWZt65oiQmAATbTAgIRxagSn6
 2TpwxSJ4BMRBwbWc0z4YXxpAnPURMAz9cltsA5wDEYbpaKXlfXH0E6ztvz1+yj4lsPAQ
 4+Nhm7EEZBq6ko8o4Ub8idgv7RA14rWSCz7cVT7Di/tZvzfXB1D5syW1onB26fkM85Rl
 EhoH6sMDvw2ypiHY6Hwyz7B1VaSV+8r4XnE83YPfWTmvVi/+1Zv8EMSGCEb7gbdDs/I3
 mPjQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Do2nR92gJAJBYbxK3B62fP3l1zXumMfK3qd77G/eA5s=;
 b=ksk665MuNnZVGbdzzkLGdcdhuUCnijRNn8P46ZzlcaGdM5Tb/wKLA2Gj7M+gmhpEMr
 jMd08m9F7O3sfhJ03txC7w1LtOwTdtvzc2+aFYsbLrPiarQOIm9QQLE5mZPtm5tq7M/1
 vgLM37Lm0M7dbxZMtF3jBI0Qbuh7SfEx9xsjiOOr6+uADcThs9Ey6VI/GGB1ytjl/i2i
 8NDK3k5MA0SEzdc9KdziPNCKwoC+vt2GbQ2mDpyhRrbWOy29k+Ogq4y1TEO9Qk3H42JR
 b/YhvyR0pInGzy0H6HSJP7hdUxPpbmt1/nLg7yq06uVmiqqFY1I30wUPZXyXHTSGI97B
 0xhA==
X-Gm-Message-State: AElRT7GtYE35DUtUiYvWNSie/b4dvKRFH2Ue4ZMSekHr2G4le83BDucT
 zJ+FFFr4Z2Rq6+WMD8fyKzFozg==
X-Google-Smtp-Source: AG47ELu1G2203ErT0nbV8xVn/w+6vNNP5N1bsxe3BGpXK4z2mIU074WdoAgKFA+LEtQfFv4ZjOT9Kg==
X-Received: by 10.107.63.131 with SMTP id m125mr2943808ioa.211.1520992188832; 
 Tue, 13 Mar 2018 18:49:48 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 u77-v6sm75579ita.30.2018.03.13.18.49.47
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 13 Mar 2018 18:49:48 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#25030: 25.1;
 Unexpected indentation and syntax-highlighting in `emacs-lisp-mode'
References: <CANtbJLEtLvA76RM5sJGofNGq14KbeqkX6_7Dkq5aB55iVJtrZA@HIDDEN>
 <CAArVCkQRs3FhD6GPfpYZaWyP7aH8oONQ_Q=HoRO0Pvdok0DYAQ@HIDDEN>
Date: Tue, 13 Mar 2018 21:49:47 -0400
In-Reply-To: <CAArVCkQRs3FhD6GPfpYZaWyP7aH8oONQ_Q=HoRO0Pvdok0DYAQ@HIDDEN>
 (Philipp Stephani's message of "Sun, 27 Nov 2016 20:38:42 +0000")
Message-ID: <877eqfxw78.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25030
Cc: Klaus-Dieter Bauer <bauer.klaus.dieter@HIDDEN>, 25030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

tags 25030 + wontfix
quit

Philipp Stephani <p.stephani2@HIDDEN> writes:

> This is working as intended (i.e. not a bug). Lisp-mode explicitly
> tests for this. When you hover over the highlighted part, you get a
> tooltip "Hidden behind deeper element; move to another line?"=C2=A0
> While not a syntax error, there's such a strong convention to avoid
> such formatting that the Lisp modes warn unconditionally about it.

Since there's been no further movement on this, I'm closing as wontfix.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25030; Package emacs. Full text available.

Message received at 25030 <at> debbugs.gnu.org:


Received: (at 25030) by debbugs.gnu.org; 27 Nov 2016 20:39:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 27 15:39:00 2016
Received: from localhost ([127.0.0.1]:43894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cB6E0-00030f-Gn
	for submit <at> debbugs.gnu.org; Sun, 27 Nov 2016 15:39:00 -0500
Received: from mail-wj0-f177.google.com ([209.85.210.177]:33889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1cB6Dz-00030T-6F
 for 25030 <at> debbugs.gnu.org; Sun, 27 Nov 2016 15:38:59 -0500
Received: by mail-wj0-f177.google.com with SMTP id mp19so99718334wjc.1
 for <25030 <at> debbugs.gnu.org>; Sun, 27 Nov 2016 12:38:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=st9XS58PGlNVEGkEM6RmTdlekfPopiR2i7Yes3YH6Vk=;
 b=AYCZEKTNuft6aTZWmfXxPGQK4OnvsVAyjI4mfx1ApzI0nEUDmCz5mRB/+8cMIitJTY
 9WT+9CCmdDU2TcSMgIVxbpx6oBwM5tP85F7aGfjmrLeSxKxkyh62pf4LVhO2bMV2WC2B
 wW1+VFwjWJke+gy5uO9z1TYUSwH3Au0CrhZSPbNdnplOB7yq6goeA80lQctDPVCqmY6Z
 vlyUsfgN63eh3HhLlIBXNvaUDjV414CkqT09BYtrHgbtxr+Ii9GzajTUKaZsic0aSA5P
 KYQybtTGxxwvuI0jc/HN7Lcd1N1FDl0Iw2//o34hpIEirlmGLGHLWHmScHDdLRCHmIf/
 pV9w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=st9XS58PGlNVEGkEM6RmTdlekfPopiR2i7Yes3YH6Vk=;
 b=SvZN277onAdQCK59ll0NVVLqdyGendNJAHQva7rTv/NhEPdPEJrY5eBgjaDSv2y4r5
 wJIP6CP7HU69WVr6OCwXJZ8WB4+r9xrX/rlJ76WXlMpOFurDm9T2pTrQYkrtrJzaX5Ve
 wQ3P5aV67myAllajpmoGCrP9M8Vwuvx8bYnRo80IBQNH1Fa9ykNg7I3nlc94FMhYlWPs
 E7bpsRO5D4jx4dEcG3Ebrgvw+diQTOL2bahYhsXl2bZQ8EhwNSX4CyJoaS6dNNHENTpf
 hhn6DGjYRkVSCVHFzmmpFbSQPcfqAAFM9SuUJ7/AjzVBFx3BYOqhgdGGN4Zqh983byO1
 9+WA==
X-Gm-Message-State: AKaTC01HCgJGZ2/QfMCvLVXurlxfC2im7DxGQ4CIuG+JmxJBdvGtmR/BuQ5uK37iQlVHoQfhvdLnMe3VlUrGlQ==
X-Received: by 10.194.95.35 with SMTP id dh3mr15417105wjb.141.1480279133310;
 Sun, 27 Nov 2016 12:38:53 -0800 (PST)
MIME-Version: 1.0
References: <CANtbJLEtLvA76RM5sJGofNGq14KbeqkX6_7Dkq5aB55iVJtrZA@HIDDEN>
In-Reply-To: <CANtbJLEtLvA76RM5sJGofNGq14KbeqkX6_7Dkq5aB55iVJtrZA@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sun, 27 Nov 2016 20:38:42 +0000
Message-ID: <CAArVCkQRs3FhD6GPfpYZaWyP7aH8oONQ_Q=HoRO0Pvdok0DYAQ@HIDDEN>
Subject: Re: bug#25030: 25.1; Unexpected indentation and syntax-highlighting
 in `emacs-lisp-mode'
To: Klaus-Dieter Bauer <bauer.klaus.dieter@HIDDEN>, 25030 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary=047d7bb04050e8d88405424e57d8
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 25030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

--047d7bb04050e8d88405424e57d8
Content-Type: text/plain; charset=UTF-8

Klaus-Dieter Bauer <bauer.klaus.dieter@HIDDEN> schrieb am Sa., 26. Nov.
2016 um 00:13 Uhr:

> Hello!
>
> In `emacs-lisp-mode', the counting of the nesting level of forms seems
> to be broken in some subtle way. Consider e.g.
>
>     (form
>      (
>       ) WEIRD HIGHLIGHT
>         x) ;; Unexepected Indentation
>
> It looks like "WEIRD HIGHLIGHT" is wrongly highlighted as junk after a
> surplus closing parenthesis, and the subsequent form is also weirdly
> indented.
>
>
This is working as intended (i.e. not a bug). Lisp-mode explicitly tests
for this. When you hover over the highlighted part, you get a tooltip
"Hidden behind deeper element; move to another line?"
While not a syntax error, there's such a strong convention to avoid such
formatting that the Lisp modes warn unconditionally about it.

--047d7bb04050e8d88405424e57d8
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Klaus-=
Dieter Bauer &lt;<a href=3D"mailto:bauer.klaus.dieter@HIDDEN">bauer.klau=
s.dieter@HIDDEN</a>&gt; schrieb am Sa., 26. Nov. 2016 um 00:13=C2=A0Uhr:=
<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;bord=
er-left:1px #ccc solid;padding-left:1ex"><div dir=3D"ltr" class=3D"gmail_ms=
g"><div class=3D"gmail_msg"><span style=3D"font-family:monospace,monospace"=
 class=3D"gmail_msg">Hello!</span></div><div class=3D"gmail_msg"><span styl=
e=3D"font-family:monospace,monospace" class=3D"gmail_msg"><br class=3D"gmai=
l_msg"></span></div><div class=3D"gmail_msg"><span style=3D"font-family:mon=
ospace,monospace" class=3D"gmail_msg">In `emacs-lisp-mode&#39;, the countin=
g of the nesting level of forms seems</span><br class=3D"gmail_msg"></div><=
div class=3D"gmail_msg"><font face=3D"monospace, monospace" class=3D"gmail_=
msg">to be broken in some subtle way. Consider e.g.</font></div><div class=
=3D"gmail_msg"><font face=3D"monospace, monospace" class=3D"gmail_msg"><br =
class=3D"gmail_msg"></font></div><div class=3D"gmail_msg"><font face=3D"mon=
ospace, monospace" class=3D"gmail_msg">=C2=A0 =C2=A0 (form</font></div><div=
 class=3D"gmail_msg"><font face=3D"monospace, monospace" class=3D"gmail_msg=
">=C2=A0 =C2=A0 =C2=A0(</font></div><div class=3D"gmail_msg"><font face=3D"=
monospace, monospace" class=3D"gmail_msg">=C2=A0 =C2=A0 =C2=A0 ) WEIRD HIGH=
LIGHT</font></div><div class=3D"gmail_msg"><font face=3D"monospace, monospa=
ce" class=3D"gmail_msg">=C2=A0 =C2=A0 =C2=A0 =C2=A0 x) ;; Unexepected Inden=
tation</font></div><div class=3D"gmail_msg"><font face=3D"monospace, monosp=
ace" class=3D"gmail_msg"><br class=3D"gmail_msg"></font></div><div class=3D=
"gmail_msg"><font face=3D"monospace, monospace" class=3D"gmail_msg">It look=
s like &quot;WEIRD HIGHLIGHT&quot; is wrongly highlighted as junk after a</=
font></div><div class=3D"gmail_msg"><font face=3D"monospace, monospace" cla=
ss=3D"gmail_msg">surplus closing parenthesis, and the subsequent form is al=
so weirdly</font></div><div class=3D"gmail_msg"><font face=3D"monospace, mo=
nospace" class=3D"gmail_msg">indented.</font></div><div class=3D"gmail_msg"=
><br class=3D"gmail_msg"></div></div></blockquote><div><br></div><div>This =
is working as intended (i.e. not a bug). Lisp-mode explicitly tests for thi=
s. When you hover over the highlighted part, you get a tooltip &quot;Hidden=
 behind deeper element; move to another line?&quot;=C2=A0</div><div>While n=
ot a syntax error, there&#39;s such a strong convention to avoid such forma=
tting that the Lisp modes warn unconditionally about it.</div></div></div>

--047d7bb04050e8d88405424e57d8--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25030; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Nov 2016 23:12:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 25 18:12:51 2016
Received: from localhost ([127.0.0.1]:41870 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cAPfn-0001Ip-4a
	for submit <at> debbugs.gnu.org; Fri, 25 Nov 2016 18:12:51 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauer.klaus.dieter@HIDDEN>) id 1cAPfl-0001Id-Is
 for submit <at> debbugs.gnu.org; Fri, 25 Nov 2016 18:12:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bauer.klaus.dieter@HIDDEN>) id 1cAPfe-0001Q7-M8
 for submit <at> debbugs.gnu.org; Fri, 25 Nov 2016 18:12:44 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50479)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bauer.klaus.dieter@HIDDEN>)
 id 1cAPfe-0001Pz-Gt
 for submit <at> debbugs.gnu.org; Fri, 25 Nov 2016 18:12:42 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33887)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bauer.klaus.dieter@HIDDEN>) id 1cAPfc-0007iE-Sr
 for bug-gnu-emacs@HIDDEN; Fri, 25 Nov 2016 18:12:42 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bauer.klaus.dieter@HIDDEN>) id 1cAPfZ-0001Nm-K6
 for bug-gnu-emacs@HIDDEN; Fri, 25 Nov 2016 18:12:40 -0500
Received: from mail-lf0-x22f.google.com ([2a00:1450:4010:c07::22f]:36408)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <bauer.klaus.dieter@HIDDEN>)
 id 1cAPfY-0001Mb-Sg
 for bug-gnu-emacs@HIDDEN; Fri, 25 Nov 2016 18:12:37 -0500
Received: by mail-lf0-x22f.google.com with SMTP id t196so59463551lff.3
 for <bug-gnu-emacs@HIDDEN>; Fri, 25 Nov 2016 15:12:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to;
 bh=StPd2ijp23b8+1NqbSHH09PCxkKar6ENoyuXPmkLC/Y=;
 b=ggy4AhTlOlM949XLMukPIWZ2CcnjWo5TzjSQQffjCgrMLMULOsm9T1mqYw4wk3ERjI
 tpjN9dD4D7ZwuowlVlm5byv8foan9jiBlvd1PZiHvEIBV8r3vk6Ig7YcWhh8GCkHgL+A
 j9WQRpDJvG+l4f+YP6MSp4i+DLtZY7Jzi77U1I4DX60ho4H6OfwjkAGEXuQW3s/m/WDp
 58xHDZ3lY5zuHyVSAlppAdka7xbojlqzvXGhwwqJWertwQpTzpxYPJoJEi56F7RBlb/R
 bddeqb06V0pOWUdxprx395kYD4u218cXHhJGe0CL1Oqihoa7B4+N3duL9f0/Hlv4GNa/
 pn9A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=StPd2ijp23b8+1NqbSHH09PCxkKar6ENoyuXPmkLC/Y=;
 b=Rz6wyvjX0DOahoegckjo2R/0za/d/uElQ7O5cJ0QzAIxVThM9PrGI9A/IEkW83I5O6
 fdmVpKqwZjtUU26AlYaiYVsUcPmfsv1r79Suwkok8Xhp0KT6RjF3tb5ElY1UHsAkyb5w
 z1uGCWrVSJBabvuxr+7f7WDuJi8Zn5ziPLOUTAL2qiX/oq1mM4AjOCsd1Z0ofRcnnQ+E
 i+j3VWHBZ3Y/cQI8opJL22VNVuvp2+LEyUM8x7jhg1Ujfa7G4WF2fk3S8uSSzzozMN3W
 cJsDb60OvOIvcxvGqNuSBzABgZLakvf3+VMK7ryzk3NVgjHJ8QDKB32E3QyMZ+TEoRRj
 DGIg==
X-Gm-Message-State: AKaTC00UJbC8gcTZZW8F4Vu2RItaUg3WmOF2Nujm7tnMuDRrPoDA7lTZTOeA9x5L5Eb7Nl3myOHNaj5cEP0eNQ==
X-Received: by 10.25.16.209 with SMTP id 78mr3419483lfq.53.1480115554149; Fri,
 25 Nov 2016 15:12:34 -0800 (PST)
MIME-Version: 1.0
Received: by 10.25.169.211 with HTTP; Fri, 25 Nov 2016 15:12:03 -0800 (PST)
From: Klaus-Dieter Bauer <bauer.klaus.dieter@HIDDEN>
Date: Sat, 26 Nov 2016 00:12:03 +0100
Message-ID: <CANtbJLEtLvA76RM5sJGofNGq14KbeqkX6_7Dkq5aB55iVJtrZA@HIDDEN>
Subject: 25.1;
 Unexpected indentation and syntax-highlighting in `emacs-lisp-mode'
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary=001a113facb6d504b10542284193
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113facb6d504b10542284193
Content-Type: multipart/alternative; boundary=001a113facb6d504ab0542284191

--001a113facb6d504ab0542284191
Content-Type: text/plain; charset=UTF-8

Hello!

In `emacs-lisp-mode', the counting of the nesting level of forms seems
to be broken in some subtle way. Consider e.g.

    (form
     (
      ) WEIRD HIGHLIGHT
        x) ;; Unexepected Indentation

It looks like "WEIRD HIGHLIGHT" is wrongly highlighted as junk after a
surplus closing parenthesis, and the subsequent form is also weirdly
indented.

So this particular example is artificial, it occurred for me when I was
writing testing-code with in some personal emacs-lisp project:

    ;; Example from actual code (abbreviated)
    (ert-deftest expr--parser-rule-def-firsts ()
      (myert-test-results #'expr--parser-rule-def-firsts
        `("The `firsts' function doesn't yet enforce, that every rule
          must have a resolvable first."
          (((&def RuleA RuleB)
            (&def RuleB RuleA))) => WEIRD-HIGHLIGHT-HERE
            :WEIRD-INDENTATION-HERE)))

I confirmed the issue in Emacs 25.1.1 64bit (from Chocolatey), running
that same Emacs with "runemacs -q", and with Emacs 26.0.50.1
(self-compiled).

For reference I have attached an elisp file with examples and a
screenshot of how it looks on my system.

regards, Klaus

--------------------------------------------------

In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
 of 2016-09-17 built on KAEL
Windowing system distributor 'Microsoft Corp.', version 10.0.14393
Configured using:
 'configure --prefix=/tmp/emacs --without-imagemagick 'CFLAGS=-O2
 -fomit-frame-pointer -g0''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: DEA
  locale-coding-system: cp1252

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode cl-loaddefs pcase
cl-lib mail-prsvr mail-utils vc-git diff-mode easymenu easy-mmode
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table w32-win w32-vars
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
w32notify dbusbind w32 multi-tty make-network-process emacs)

Memory information:
((conses 16 94172 5940)
 (symbols 56 20219 0)
 (miscs 48 89 106)
 (strings 32 17676 3993)
 (string-bytes 1 489683)
 (vectors 16 12293)
 (vector-slots 8 433157 4526)
 (floats 8 164 100)
 (intervals 56 581 40)
 (buffers 976 20))

--=-=-=--

--001a113facb6d504ab0542284191
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><span style=3D"font-family:monospace,monospace">Hello=
!</span></div><div><span style=3D"font-family:monospace,monospace"><br></sp=
an></div><div><span style=3D"font-family:monospace,monospace">In `emacs-lis=
p-mode&#39;, the counting of the nesting level of forms seems</span><br></d=
iv><div><font face=3D"monospace, monospace">to be broken in some subtle way=
. Consider e.g.</font></div><div><font face=3D"monospace, monospace"><br></=
font></div><div><font face=3D"monospace, monospace">=C2=A0 =C2=A0 (form</fo=
nt></div><div><font face=3D"monospace, monospace">=C2=A0 =C2=A0 =C2=A0(</fo=
nt></div><div><font face=3D"monospace, monospace">=C2=A0 =C2=A0 =C2=A0 ) WE=
IRD HIGHLIGHT</font></div><div><font face=3D"monospace, monospace">=C2=A0 =
=C2=A0 =C2=A0 =C2=A0 x) ;; Unexepected Indentation</font></div><div><font f=
ace=3D"monospace, monospace"><br></font></div><div><font face=3D"monospace,=
 monospace">It looks like &quot;WEIRD HIGHLIGHT&quot; is wrongly highlighte=
d as junk after a</font></div><div><font face=3D"monospace, monospace">surp=
lus closing parenthesis, and the subsequent form is also weirdly</font></di=
v><div><font face=3D"monospace, monospace">indented.</font></div><div><font=
 face=3D"monospace, monospace"><br></font></div><div><font face=3D"monospac=
e, monospace">So this particular example is artificial, it occurred for me =
when I was</font></div><div><font face=3D"monospace, monospace">writing tes=
ting-code with in some personal emacs-lisp project:</font></div><div><font =
face=3D"monospace, monospace"><br></font></div><div><font face=3D"monospace=
, monospace">=C2=A0 =C2=A0 ;; Example from actual code (abbreviated)</font>=
</div><div><font face=3D"monospace, monospace">=C2=A0 =C2=A0 (ert-deftest e=
xpr--parser-rule-def-firsts ()</font></div><div><font face=3D"monospace, mo=
nospace">=C2=A0 =C2=A0 =C2=A0 (myert-test-results #&#39;expr--parser-rule-d=
ef-firsts</font></div><div><font face=3D"monospace, monospace">=C2=A0 =C2=
=A0 =C2=A0 =C2=A0 `(&quot;The `firsts&#39; function doesn&#39;t yet enforce=
, that every rule</font></div><div><font face=3D"monospace, monospace">=C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 must have a resolvable first.&quot;</font><=
/div><div><font face=3D"monospace, monospace">=C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 (((&amp;def RuleA RuleB)=C2=A0</font></div><div><font face=3D"monosp=
ace, monospace">=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (&amp;def RuleB R=
uleA))) =3D&gt; WEIRD-HIGHLIGHT-HERE</font></div><div><font face=3D"monospa=
ce, monospace">=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 :WEIRD-INDENTATION=
-HERE)))</font></div><div><font face=3D"monospace, monospace"><br></font></=
div><div><font face=3D"monospace, monospace">I confirmed the issue in Emacs=
 25.1.1 64bit (from Chocolatey), running</font></div><div><font face=3D"mon=
ospace, monospace">that same Emacs with &quot;runemacs -q&quot;, and with E=
macs 26.0.50.1</font></div><div><font face=3D"monospace, monospace">(self-c=
ompiled).=C2=A0</font></div><div><font face=3D"monospace, monospace"><br></=
font></div><div><font face=3D"monospace, monospace">For reference I have at=
tached an elisp file with examples and a</font></div><div><font face=3D"mon=
ospace, monospace">screenshot of how it looks on my system.=C2=A0</font></d=
iv><div><font face=3D"monospace, monospace"><br></font></div><div><font fac=
e=3D"monospace, monospace">regards, Klaus</font></div><div><font face=3D"mo=
nospace, monospace"><br></font></div><div><font face=3D"monospace, monospac=
e">--------------------------------------------------</font></div><div><fon=
t face=3D"monospace, monospace"><br></font></div><div><font face=3D"monospa=
ce, monospace">In GNU Emacs 25.1.1 (x86_64-w64-mingw32)</font></div><div><f=
ont face=3D"monospace, monospace">=C2=A0of 2016-09-17 built on KAEL</font><=
/div><div><font face=3D"monospace, monospace">Windowing system distributor =
&#39;Microsoft Corp.&#39;, version 10.0.14393</font></div><div><font face=
=3D"monospace, monospace">Configured using:</font></div><div><font face=3D"=
monospace, monospace">=C2=A0&#39;configure --prefix=3D/tmp/emacs --without-=
imagemagick &#39;CFLAGS=3D-O2</font></div><div><font face=3D"monospace, mon=
ospace">=C2=A0-fomit-frame-pointer -g0&#39;&#39;</font></div><div><font fac=
e=3D"monospace, monospace"><br></font></div><div><font face=3D"monospace, m=
onospace">Configured features:</font></div><div><font face=3D"monospace, mo=
nospace">XPM JPEG TIFF GIF PNG RSVG SOUND DBUS NOTIFY ACL GNUTLS LIBXML2 ZL=
IB</font></div><div><font face=3D"monospace, monospace">TOOLKIT_SCROLL_BARS=
</font></div><div><font face=3D"monospace, monospace"><br></font></div><div=
><font face=3D"monospace, monospace">Important settings:</font></div><div><=
font face=3D"monospace, monospace">=C2=A0 value of $LANG: DEA</font></div><=
div><font face=3D"monospace, monospace">=C2=A0 locale-coding-system: cp1252=
</font></div><div><font face=3D"monospace, monospace"><br></font></div><div=
><font face=3D"monospace, monospace">Major mode: Emacs-Lisp</font></div><di=
v><font face=3D"monospace, monospace"><br></font></div><div><font face=3D"m=
onospace, monospace">Minor modes in effect:</font></div><div><font face=3D"=
monospace, monospace">=C2=A0 diff-auto-refine-mode: t</font></div><div><fon=
t face=3D"monospace, monospace">=C2=A0 tooltip-mode: t</font></div><div><fo=
nt face=3D"monospace, monospace">=C2=A0 global-eldoc-mode: t</font></div><d=
iv><font face=3D"monospace, monospace">=C2=A0 electric-indent-mode: t</font=
></div><div><font face=3D"monospace, monospace">=C2=A0 mouse-wheel-mode: t<=
/font></div><div><font face=3D"monospace, monospace">=C2=A0 tool-bar-mode: =
t</font></div><div><font face=3D"monospace, monospace">=C2=A0 menu-bar-mode=
: t</font></div><div><font face=3D"monospace, monospace">=C2=A0 file-name-s=
hadow-mode: t</font></div><div><font face=3D"monospace, monospace">=C2=A0 g=
lobal-font-lock-mode: t</font></div><div><font face=3D"monospace, monospace=
">=C2=A0 font-lock-mode: t</font></div><div><font face=3D"monospace, monosp=
ace">=C2=A0 blink-cursor-mode: t</font></div><div><font face=3D"monospace, =
monospace">=C2=A0 auto-composition-mode: t</font></div><div><font face=3D"m=
onospace, monospace">=C2=A0 auto-encryption-mode: t</font></div><div><font =
face=3D"monospace, monospace">=C2=A0 auto-compression-mode: t</font></div><=
div><font face=3D"monospace, monospace">=C2=A0 line-number-mode: t</font></=
div><div><font face=3D"monospace, monospace">=C2=A0 transient-mark-mode: t<=
/font></div><div><font face=3D"monospace, monospace"><br></font></div><div>=
<font face=3D"monospace, monospace">Load-path shadows:</font></div><div><fo=
nt face=3D"monospace, monospace">None found.</font></div><div><font face=3D=
"monospace, monospace"><br></font></div><div><font face=3D"monospace, monos=
pace">Features:</font></div><div><font face=3D"monospace, monospace">(shado=
w sort mail-extr emacsbug message dired format-spec rfc822 mml</font></div>=
<div><font face=3D"monospace, monospace">mml-sec password-cache epg epg-con=
fig gnus-util mm-decode mm-bodies</font></div><div><font face=3D"monospace,=
 monospace">mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader se=
ndmail</font></div><div><font face=3D"monospace, monospace">rfc2047 rfc2045=
 ietf-drums mm-util help-fns help-mode cl-loaddefs pcase</font></div><div><=
font face=3D"monospace, monospace">cl-lib mail-prsvr mail-utils vc-git diff=
-mode easymenu easy-mmode</font></div><div><font face=3D"monospace, monospa=
ce">time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks=
</font></div><div><font face=3D"monospace, monospace">lisp-float-type mwhee=
l dos-w32 ls-lisp disp-table w32-win w32-vars</font></div><div><font face=
=3D"monospace, monospace">term/common-win tool-bar dnd fontset image regexp=
-opt fringe</font></div><div><font face=3D"monospace, monospace">tabulated-=
list newcomment elisp-mode lisp-mode prog-mode register page</font></div><d=
iv><font face=3D"monospace, monospace">menu-bar rfn-eshadow timer select sc=
roll-bar mouse jit-lock font-lock</font></div><div><font face=3D"monospace,=
 monospace">syntax facemenu font-core frame cl-generic cham georgian utf-8-=
lang</font></div><div><font face=3D"monospace, monospace">misc-lang vietnam=
ese tibetan thai tai-viet lao korean japanese eucjp-ms</font></div><div><fo=
nt face=3D"monospace, monospace">cp51932 hebrew greek romanian slovak czech=
 european ethiopic indian</font></div><div><font face=3D"monospace, monospa=
ce">cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help</fon=
t></div><div><font face=3D"monospace, monospace">simple abbrev minibuffer c=
l-preloaded nadvice loaddefs button faces</font></div><div><font face=3D"mo=
nospace, monospace">cus-face macroexp files text-properties overlay sha1 md=
5 base64 format</font></div><div><font face=3D"monospace, monospace">env co=
de-pages mule custom widget hashtable-print-readable backquote</font></div>=
<div><font face=3D"monospace, monospace">w32notify dbusbind w32 multi-tty m=
ake-network-process emacs)</font></div><div><font face=3D"monospace, monosp=
ace"><br></font></div><div><font face=3D"monospace, monospace">Memory infor=
mation:</font></div><div><font face=3D"monospace, monospace">((conses 16 94=
172 5940)</font></div><div><font face=3D"monospace, monospace">=C2=A0(symbo=
ls 56 20219 0)</font></div><div><font face=3D"monospace, monospace">=C2=A0(=
miscs 48 89 106)</font></div><div><font face=3D"monospace, monospace">=C2=
=A0(strings 32 17676 3993)</font></div><div><font face=3D"monospace, monosp=
ace">=C2=A0(string-bytes 1 489683)</font></div><div><font face=3D"monospace=
, monospace">=C2=A0(vectors 16 12293)</font></div><div><font face=3D"monosp=
ace, monospace">=C2=A0(vector-slots 8 433157 4526)</font></div><div><font f=
ace=3D"monospace, monospace">=C2=A0(floats 8 164 100)</font></div><div><fon=
t face=3D"monospace, monospace">=C2=A0(intervals 56 581 40)</font></div><di=
v><font face=3D"monospace, monospace">=C2=A0(buffers 976 20))</font></div><=
div><font face=3D"monospace, monospace"><br></font></div><div><font face=3D=
"monospace, monospace">--=3D-=3D-=3D--</font></div><div><br></div></div>

--001a113facb6d504ab0542284191--

--001a113facb6d504b10542284193
Content-Type: application/octet-stream; name="emacs-indent-bug.el"
Content-Disposition: attachment; filename="emacs-indent-bug.el"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_ivyeic8x0

Ozs7IC0qLSBtb2RlOiBlbWFjcy1saXNwOyBjb2Rpbmc6IHV0Zi04LXVuaXggLSotCgooKSA9PiB4
IDs7IE5vIHdlaXJkIGNvbG9yaW5nCigKICkgdGhpcyBpcyBjb2xvcmVkIHVuZXhwZWN0ZWRseQo7
OyBpbmRlbnQgaXMgZmluZSBoZXJlCgpgKGZvcm0KICAoKCgpIAogICAgKCkpKSA9PiAKICAgIHgp
OzsgVW5leGVwZWN0ZWQgaW5kZW50YXRpb24sIGJ5IHR3byBzcGFjZXMgdG9vIG11Y2guCgooZm9y
bQogKAogICkgV0VJUkQgSElHSExJR0hUCiAgICB4KSA7OyBVbmV4ZXBlY3RlZCBpbmRlbnRhdGlv
biBpbiBhIGRpZmZlcmVudCB3YXkuCgpgKGZvcm0gCiAgKAogICB4KSA9PgogICB4KSA7OyBVbmV4
cGVjdGVkIGluZGVudGF0aW9uIGluIGEgZGlmZmVyZW50IHdheQoKCiAgICA7OyBFeGFtcGxlIGZy
b20gYWN0dWFsIGNvZGUgKGFiYnJldmlhdGVkKQogICAgKGVydC1kZWZ0ZXN0IGV4cHItLXBhcnNl
ci1ydWxlLWRlZi1maXJzdHMgKCkKICAgICAgKG15ZXJ0LXRlc3QtcmVzdWx0cyAjJ2V4cHItLXBh
cnNlci1ydWxlLWRlZi1maXJzdHMKICAgICAgICBgKCJUaGUgYGZpcnN0cycgZnVuY3Rpb24gZG9l
c24ndCB5ZXQgZW5mb3JjZSwgdGhhdCBldmVyeSBydWxlCiAgICAgICAgICBtdXN0IGhhdmUgYSBy
ZXNvbHZhYmxlIGZpcnN0LiIKICAgICAgICAgICgoKCZkZWYgUnVsZUEgUnVsZUIpIAogICAgICAg
ICAgICAoJmRlZiBSdWxlQiBSdWxlQSkpKSA9PiBXRUlSRC1ISUdITElHSFQtSEVSRQogICAgICAg
ICAgICA6V0VJUkQtSU5ERU5UQVRJT04tSEVSRSkpKQoKCikgSGVyZSB0aGUgY29sb3JpbmcgaXMg
cHJvYmFibHkgaW50ZW5kZWQuCg==
--001a113facb6d504b10542284193
Content-Type: image/png; name="emacs-indent-bug.png"
Content-Disposition: attachment; filename="emacs-indent-bug.png"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_ivyeic9e1
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--001a113facb6d504b10542284193--




Acknowledgement sent to Klaus-Dieter Bauer <bauer.klaus.dieter@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25030; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.